<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../include/assets.jsp"></jsp:include>
</head>

<body>
<div id="wrapper">
    <jsp:include page="../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>同步日志</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">系统配置</a>
                    </li>
                    <li class="active">
                        <strong>同步日志</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>

        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>日志搜索</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>

                            </div>
                        </div>
                        <div class="ibox-content" style="padding-bottom:5px;">
                            <form class="form-inline m-b" onsubmit="return false">
                                <div class="form-group">
                                    <label for="keywords">查询文件名：</label>
                                    <div class="input-group">
                                        <input id="keywords" name="keywords" type="text" class="form-control" maxlength="50" placeholder="输入文件名"/>
                                        <a id="searchBtn" class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                            </form>

                            <%--<form class="form-inline">--%>
                                <%--<div class="form-group">--%>
                                    <%--<label for="sStartDate">日期：</label>--%>
                                    <%--<div class="input-daterange input-group" id="datepicker">--%>
                                        <%--<input type="text" class="form-control" id="sStartDate" name="sStartDate" maxlength="10"/>--%>
                                        <%--<a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>--%>
                                    <%--</div>--%>
                                <%--</div>--%>
                            <%--</form>--%>

                            <%--<div class="form-group">--%>
                                <%--<label for="syncStatus">同步状态：</label>--%>
                                <%--<select id="syncStatus" class="form-control" onchange="oTable.fnDraw();">--%>
                                    <%--<option value="">全部</option>--%>
                                    <%--<option value="1" >已同步</option>--%>
                                    <%--<option value="0" >未同步</option>--%>
                                <%--</select>--%>
                            <%--</div>--%>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12" style="text-align: center">
                    <a target="_blank" href="<c:url value="/business/log/exportFileLog"></c:url>" class="btn btn-primary btn-lg" role="button">导出文件日志文件</a>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12" style="text-align: center">
                    当前可导出同步文件结果为<span style="color:red;font-weight: bold">${needSyncFileLog}</span>条。
                    <br/>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>文件名</th>
                                    <th>同步状态</th>
                                    <th>读取时间</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../include/footer.jsp"></jsp:include>
    </div>
</div>

<jsp:include page="../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/log/findSyncFileData'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "fileName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "sync", "sClass": "", "bSortable": false},
                    {"mDataProp": "addTime", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    rowNum = 0;
                    aoData.push(
//                        {"name": "syncStatus", "value": $("#syncStatus").val()},
                        {"name": "keywords", "value": $("#keywords").val()}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            return data.fileName;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            if (data.sync == "1") {
                                return "成功";
                            }
                            return "未同步";
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.addTime;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });


//        $('#startDate,#endDate,#sStartDate,#sEndDate').datetimepicker({
//            format: 'yyyy-mm-dd'
//        });

        $(document).keyup(function (event) {
            if (event.keyCode == 13) {
                $("#searchBtn").trigger("click");
            }
        });

    });

</script>
</body>

</html>
